package org.jdtaus.core.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class BugReportMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getBugReportText(Locale.getDefault());
}

/** <pre> Please report this at {1} or send
an email to {2} including a copy of the logfiles located in directory
{0}.

</pre>. */
public static String getBugReportText(final Locale locale) {
    return getMessage("bugReport", locale);
}

/** <pre> Please report this at {1} or send
an email to {2} including a copy of the logfiles located in directory
{0}.

</pre>. */
public static MessageFormat getBugReportMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("bugReport", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.messages.BugReportMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
