package org.jdtaus.core.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class DeletesBlocksMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getDeletesBlocksText(Locale.getDefault());
}

/** <pre> Deletes blocks.</pre>. */
public static String getDeletesBlocksText(final Locale locale) {
    return getMessage("deletesBlocks", locale);
}

/** <pre> Deletes blocks.</pre>. */
public static MessageFormat getDeletesBlocksMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("deletesBlocks", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.messages.DeletesBlocksMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
