package org.jdtaus.core.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class UndefinedApplicationStateMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getUndefinedApplicationStateText(Locale.getDefault());
}

/** <pre> The application may not work correctly any more. A shutdown is recommended!
Please close any open files and restart the application.

</pre>. */
public static String getUndefinedApplicationStateText(final Locale locale) {
    return getMessage("undefinedApplicationState", locale);
}

/** <pre> The application may not work correctly any more. A shutdown is recommended!
Please close any open files and restart the application.

</pre>. */
public static MessageFormat getUndefinedApplicationStateMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("undefinedApplicationState", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.core.messages.UndefinedApplicationStateMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
